MINTPY-TIMESERIES2VELOCITY(1)

NAME
mintpy-timeseries2velocity - Estimate velocity / time functions from time-series.

DESCRIPTION
usage: timeseries2velocity.py [-h] [--template TEMPLATE_FILE]

[--ts-cov-file TS_COV_FILE] [-o OUTFILE]
    [--update] [--ref-lalo LAT LON] [--ref-yx Y X] [--ref-date DATE] [--start-date STARTDATE] [--end-date ENDDATE] [--exclude EXCLUDEDATE [EXCLUDEDATE ...]] [--bootstrap] [--bc BOOTSTRAPCOUNT] [--poly POLYNOMIAL] [--periodic PERIODIC [PERIODIC ...]] [--step STEP [STEP ...]] [--exp EXP [EXP ...]] [--log LOG [LOG ...]] [--save-res] [--res-file RES_FILE] [--ram MAXMEMORY] timeseries_file

Estimate velocity / time functions from time-series.

  positional arguments:

timeseries_file
    Time series file for velocity inversion.

  options:

-h, --help
    show this help message and exit

--template TEMPLATE_FILE, -t TEMPLATE_FILE
    template file with options

--ts-cov-file TS_COV_FILE
    Time-series (co)variance file for velocity STD calculation

-o OUTFILE, --output OUTFILE
    output file name

--update
    Enable update mode, and skip estimation if: 1) output velocity file already exists, readable and newer than input file 2) all configuration parameters are the same.

--ref-lalo LAT LON
    Change reference point LAT LON for estimation.

--ref-yx Y X
    Change reference point Y X for estimation.

--ref-date DATE
    Change reference date for estimation.

--ram MAXMEMORY, --memory MAXMEMORY
    Max amount of memory in GB to use (default: 4.0). Adjust according to your computer memory.

  dates of interest:

--start-date STARTDATE, -s STARTDATE
    start date for velocity estimation

--end-date ENDDATE, -e ENDDATE
    end date for velocity estimation

--exclude EXCLUDEDATE [EXCLUDEDATE ...], --ex EXCLUDEDATE [EXCLUDEDATE ...]
    date(s) not included in velocity estimation, i.e.: --exclude 20040502 20060708 20090103 --exclude exclude_date.txt exclude_date.txt: 20040502 20060708 20090103

  bootstrapping:

    estimating the mean / STD of the velocity estimator

--bootstrap, --bootstrapping
    Enable bootstrapping to estimate the mean and STD of the velocity estimator.

--bc BOOTSTRAPCOUNT, --bootstrap-count BOOTSTRAPCOUNT
    number of iterations for bootstrapping (default: 400).

  Deformation Model:

    A suite of time functions

--poly POLYNOMIAL, --polynomial POLYNOMIAL, --poly-order POLYNOMIAL
    a polynomial function with the input degree (default: 1). E.g.: --poly 1 # linear --poly 2 # quadratic --poly 3 # cubic

--periodic PERIODIC [PERIODIC ...], --period PERIODIC [PERIODIC ...], --peri PERIODIC [PERIODIC ...]
    periodic function(s) with period in decimal years (default: []). E.g.: --periodic 1.0 # an annual cycle --periodic 1.0 0.5 # an annual cycle plus a semi-annual cycle

--step STEP [STEP ...]
    step function(s) at YYYYMMDD (default: []). E.g.: --step 20061014 # coseismic step at 2006-10-14T00:00 --step 20110311 20120928T1733 # coseismic steps at 2011-03-11T00:00 and 2012-09-28T17:33

--exp EXP [EXP ...], --exponential EXP [EXP ...]
    exponential function(s) at YYYYMMDD with characteristic time(s) tau in decimal days (default: []). E.g.: --exp 20181026 60 # exp onset at 2006-10-14T00:00 with tau=60 days --exp 20181026T1355 60 120 # exp onset at 2006-10-14T13:55 with tau=60 days overlayed by a tau=145 days --exp 20161231 80.5 --exp 20190125 100 # 1st exp onset at 2011-03-11 with tau=80.5 days and

# 2nd exp onset at 2012-09-28 with tau=100
    days

--log LOG [LOG ...], --logarithmic LOG [LOG ...]
    logarithmic function(s) at YYYYMMDD with characteristic time(s) tau in decimal days (default: []). E.g.: --log 20181016 90.4 # log onset at 2006-10-14T00:00 with tau=90.4 days --log 20181016T1733 90.4 240 # log onset at 2006-10-14T17:33 with tau=90.4 days overlayed by a tau=240 days --log 20161231 60 --log 20190125 180.2 # 1st log onset at 2011-03-11 with tau=60 days and

    # 2nd log onset at 2012-09-28 with tau=180.2 days

  Residual file:

    Save residual displacement time-series to HDF5 file.

--save-res, --save_residual
    Save the residual displacement time-series to HDF5 file.

--res-file RES_FILE, --residual-file RES_FILE
    Output file name for the residual time-series file (default: timeseriesResidual.h5).

  template options:

    ## Estimate linear velocity and its standard deviation from time-series ## and from tropospheric delay file if exists. ## reference: Fattahi and Amelung (2015, JGR) mintpy.velocity.excludeDate = auto #[exclude_date.txt / 20080520,20090817 / no], auto for exclude_date.txt mintpy.velocity.startDate = auto #[20070101 / no], auto for no mintpy.velocity.endDate = auto #[20101230 / no], auto for no

    ## Bootstrapping ## reference: Efron and Tibshirani (1986, Stat. Sci.) mintpy.velocity.bootstrap = auto #[yes / no], auto for no, use bootstrap mintpy.velocity.bootstrapCount = auto #[int>1], auto for 400, number of iterations for bootstrapping

  references:

    Fattahi, H., and F. Amelung (2015), InSAR bias and uncertainty due to the systematic and stochastic tropospheric delay, Journal of Geophysical Research: Solid Earth, 120(12), 8758-8773, doi:10.1002/2015JB012419.

    Efron, B., and R. Tibshirani (1986), Bootstrap methods for standard errors, confidence intervals, and other measures of statistical accuracy, Statistical science, 54-75, doi:10.1214/ss/1177013815.

  example:

timeseries2velocity.py
    timeseries_ERA5_demErr.h5

timeseries2velocity.py
    timeseries_ERA5_demErr_ramp.h5 -t KyushuT73F2980_2990AlosD.template

timeseries2velocity.py
    timeseries.h5 --start-date 20080201 --end-date 20100508

timeseries2velocity.py
    timeseries.h5 --exclude exclude_date.txt

timeseries2velocity.py
    LS-PARAMS.h5

timeseries2velocity.py
    NSBAS-PARAMS.h5

timeseries2velocity.py
    TS-PARAMS.h5

    # bootstrapping for STD calculation timeseries2velocity.py timeseries_ERA5_demErr.h5 --bootstrap

    # complex time functions timeseries2velocity.py timeseries_ERA5_ramp_demErr.h5 --poly 3 --period 1 0.5 --step 20170910 timeseries2velocity.py timeseries_ERA5_demErr.h5 --poly 1 --exp 20170910 90 timeseries2velocity.py timeseries_ERA5_demErr.h5 --poly 1 --log 20170910 60.4 timeseries2velocity.py timeseries_ERA5_demErr.h5 --poly 1 --log 20170910 60.4 200 --log 20171026 200.7